Groovy Documentation

## org.codehaus.groovy.grails.commons.metaclass
[Java] Class AbstractDynamicConstructor

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicConstructor

All Implemented Interfaces:
  DynamicConstructor

    public abstract class AbstractDynamicConstructor

Abstract class that provides default implementation for isArgumentsMatch.

Authors:
  Graeme Rocher

Since:
  0.2

Constructor Summary
`AbstractDynamicConstructor(Class[] argumentTypes)` Takes an array of types required to match this constructor.

Method Summary
`boolean` | `isArgumentsMatch(Object[] args)` @return True if the arguments types match those specified in the constructor

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AbstractDynamicConstructor

    public AbstractDynamicConstructor(Class[] argumentTypes)

  Takes an array of types required to match this constructor.
  Parameters:
    `argumentTypes` - The argument types

Method Detail

### isArgumentsMatch

    public boolean isArgumentsMatch(Object[] args)

  Returns:
    True if the arguments types match those specified in the constructor

Groovy Documentation